import * as fs from 'fs'
import * as path from 'path'

import {parentPort, workerData} from "node:worker_threads";
var {
	cols,
	indexName,
	db,
	index,
	filePath,
} = workerData;

var content = JSON.stringify({
	cols,
	indexName,
	db,
	index,
})
var nowStamp = Date.now();
// 尝试写入temp
fs.writeFile(`${filePath}-temp-${nowStamp}.json`, content, err=>{
	var basename = path.parse(filePath).base;
	if (err) {
		console.error(`数据 ${basename} 缓存写入失败！`,err);
		return;
	}
	fs.rename(`${filePath}-temp-${nowStamp}.json`,`${filePath}`,err=>{
		if (err) {
			console.error(`数据 ${basename} 缓存重命名失败！`,err);
		}
	})
})