export default ()=>{
	register_rest_route('nv','get-theme-modules',{
		methods: 'post',
		callback(data,req) {
			var position = data;
			if ( !Array.isArray(position) ) {
				return new NV_Error("参数错误！");
			}
			var posts = query_posts({
				post_type: "theme_module",
				has_password: false,
				status: "publish",
				posts_per_page: 99,
				meta_query: {
					opts: [{
						key: "_theme_module_position",
						value: position,
						compare: "IN"
					}]
				}
			});
			var results = {};
			posts.data.forEach(({title,content,order,metas})=>{
				results[metas._theme_module_position] = {title,content,order};
			})
			return results;
		}
	});
}